0

Please help me.

I am trying to install allegro to my debian jessie 8.5 system.

Okay so first I added the PPA of allegro

sudo add-apt-repository ppa:allegro/5.2

Then I did sudo apt-get update which says:

W: Failed to fetch http://ppa.launchpad.net/allegro/5.2/ubuntu/dists/jessie/main/binary-amd64/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/noobslab/apps/ubuntu/dists/jessie/main/binary-amd64/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/ondrej/php/ubuntu/dists/jessie/main/binary-amd64/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/webupd8team/sublime-text-3/ubuntu/dists/jessie/main/binary-amd64/Packages 404 Not Found

Naturally sudo apt-get install liballegro5-dev doesn't locate the package.

So I thought I'd just fix it some other day and decided to build from source. Thus I downloaded the source for allegro (allegro-5.2.1.1).

After extracting it, making a build folder, running cmake .. from build folder I got the error message:

CMake Error at CMakeLists.txt:621 (message):

X11 support requires Xcursor library.

Then I did a sudo apt-get install libxcursor-dev but apt-get cant locate that package. apt-cache search xcursor says there is a libxcursor1 package but it seems to be already installed in my system.

I've tried 'rm -rf'ing the build folder and trying to cmake again, but it doesn't work.

https://packages.debian.org/jessie/libxcursor-dev says there is a libxcursor-dev but my apt-get can't get it. Also, the PPAs arent being updated. Is it because of my sources.list? It has the following lines:

deb http://httpredir.debian.org/debian jessie-updates main contrib non-free
deb-src http://httpredir.debian.org/debian jessie-updates main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib
deb-src http://security.debian.org/ jessie/updates main contrib

Now I'm all out of ideas guys, please offer whatever suggestions/links/solutions you have.

  • did you install all these dependencies? apt-get install build-essential git cmake cmake-curses-gui xorg-dev libgl1-mesa-dev libglu-dev – Dylan Rz Sep 30 '16 at 11:55
  • Everything is installed to the newest version except apt-get cmake-curses-gui and xorg-dev, both of which apt-get says it cant locate. @Dylan – Nirav Sep 30 '16 at 12:12
  • is deb http://ftp.us.debian.org/debian lenny main in the sources list aka /etc/apt/sources.list? – Dylan Rz Sep 30 '16 at 12:19
  • Ahhh @DylanRz you are a genius. – Nirav Sep 30 '16 at 17:17
0

Okay I found what was wrong. The sources.list were misconfigured. When I added

deb http://httpredir.debian.org/debian jessie main contrib non-free
deb-src http://httpredir.debian.org/debian jessie main contrib non-free

to the sources.list file (inspired by @DylanRz), all problems resolved themselves.

I must have messed something up long ago when I was selecting mirrors.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.